Package org.eclipse.text.internal

# Class Activator

java.lang.Object
org.eclipse.text.internal.Activator

All Implemented Interfaces:
  `EventListener`, `DebugOptionsListener`, `BundleActivator`

public class Activator extends Object implements BundleActivator, DebugOptionsListener

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`DEBUG`
`static final String`
`PLUGIN_ID`
The identifier of the descriptor of this plugin in plugin.xml.

## Constructor Summary

Constructors
Constructor
Description
`Activator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`optionsChanged(DebugOptions options)`
Notifies this listener that an option-path for its plug-in has changed.
`void`
`start(BundleContext context)`
`void`
`stop(BundleContext context)`
`static void`
`trace(String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID
The identifier of the descriptor of this plugin in plugin.xml.

See Also:
  - Constant Field Values

### DEBUG

public static boolean DEBUG

## Constructor Details

### Activator

public Activator()

## Method Details

### start

public void start(BundleContext context) throws Exception

Specified by:
  `start` in interface `BundleActivator`
Throws:
  `Exception`

### optionsChanged

public void optionsChanged(DebugOptions options)
Description copied from interface: `DebugOptionsListener`
Notifies this listener that an option-path for its plug-in has changed. This method is also called initially by the DebugOptions implementation when the listener is registered as a service. This allows the listener to obtain the initial set of debug options without the need to acquire the debug options service.

Specified by:
  `optionsChanged` in interface `DebugOptionsListener`
Parameters:
  `options` - a reference to the DebugOptions

### stop

public void stop(BundleContext context) throws Exception

Specified by:
  `stop` in interface `BundleActivator`
Throws:
  `Exception`

### trace

public static void trace(String message)